import type { InnerShadowProps, LINEAR_DIRECTION, LinearInnerShadowProps } from './types';
export declare function createStyles({ width, height, }: {
    width: number;
    height: number;
}): {
    canvas: {
        position: "absolute";
        left: number;
        top: number;
        backgroundColor: string;
        width: number;
        height: number;
    };
};
export declare function getBackgroundColor(props: Pick<InnerShadowProps, 'backgroundColor' | 'style' | 'children'>): string;
export declare function getShadowProperty(props: Omit<InnerShadowProps, 'children'>): {
    shadowOffset: {
        width: number;
        height: number;
    };
    reflectedLightOffset: {
        width: number;
        height: number;
    };
    shadowColor: string;
    reflectedLightColor: string;
    shadowBlur: number;
    reflectedLightBlur: number;
};
interface OuterShadowOffsetProps {
    inset: boolean;
    shadowOffset: {
        width: number;
        height: number;
    };
    shadowColor: string;
    shadowBlur: number;
}
export declare function createOuterShadowOffset({ inset, shadowColor, shadowOffset, shadowBlur, }: OuterShadowOffsetProps): {
    shadowColor: string;
    shadowOffset: {
        width: number;
        height: number;
    };
    shadowOpacity: number;
    shadowRadius: number;
    elevation: number;
} | {
    shadowColor?: undefined;
    shadowOffset?: undefined;
    shadowOpacity?: undefined;
    shadowRadius?: undefined;
    elevation?: undefined;
};
interface GetLinearDirectionProps {
    width: number;
    height: number;
    from: LINEAR_DIRECTION;
    to: LINEAR_DIRECTION;
}
export declare function getLinearDirection({ width, height, from, to, }: GetLinearDirectionProps): {
    start: import("@shopify/react-native-skia").SkPoint;
    end: import("@shopify/react-native-skia").SkPoint;
};
export declare function isLinearProps(props: InnerShadowProps | LinearInnerShadowProps): props is LinearInnerShadowProps;
export {};
//# sourceMappingURL=utils.d.ts.map